<app-loading-animation *ngIf="isLoading"></app-loading-animation>

<div mat-dialog-title>
  Add new pet
</div>

<div mat-dialog-content [class.blur-2]="isLoading">
  <form layout
        layout-wrap
        #form="ngForm">

    <mat-form-field flex="100">
      <mat-label>Name</mat-label>
      <input type="text"
             matInput
             name="clientName"
             placeholder="Enter the name of pet"
             #clientNameInput="ngModel"
             required
             [(ngModel)]="model.name">
      <mat-icon matSuffix *ngIf="clientNameInput.pending">
        <app-loading-animation size="15px" blobSize="5px"></app-loading-animation>
      </mat-icon>

      <mat-error *ngIf="clientNameInput.errors?.required">
        Name is required
      </mat-error>
    </mat-form-field>

    <mat-form-field flex="100">
      <mat-label>Anymal Type</mat-label>
      <mat-select [(ngModel)]="selectedType" name="team">
        <mat-option *ngFor="let type of types" [value]="type.id">
          {{type.name}}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field flex="100">
      <mat-label>Owner</mat-label>
      <mat-select [(ngModel)]="selectedOwner" name="team">
        <mat-option *ngFor="let person of persons" [value]="person.id">
          {{person.firstName}} {{person.lastName}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </form>
</div>
<div mat-dialog-actions
     [class.blur-2]="isLoading"
     layout="row"
     layout-align="start">
  <button mat-flat-button
          [disabled]="!form.valid"
          (click)="saveData()"
          color="accent">
    Add
  </button>
  <button mat-stroked-button
          (click)="dialogRef.close(false)"
          color="accent">
    Cancel
  </button>
</div>

